Bug 280991 - cpan2rpm misses dependency on ExtUtils::MakeMaker
cpan2rpm misses dependency on ExtUtils::MakeMaker
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cpan2rpm (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Gavin Henry
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 498746
  Show dependency treegraph
 
Reported: 2007-09-06 13:32 EDT by Jakob Hirsch
Modified: 2009-05-12 08:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 08:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpan2rpm patch (463 bytes, patch)
2008-07-04 11:51 EDT, Vadym Chepkov
no flags Details | Diff

  None (edit)
Description Jakob Hirsch 2007-09-06 13:32:40 EDT
Description of problem:

cpan2rpm needs ExtUtil::MakeMaker, but the rpm has no dependency on it.

Version-Release number of selected component (if applicable):

cpan2rpm-2.028-2.fc6

How reproducible:


Steps to Reproduce:
1. yum install cpan2rpm
2. cpan2rpm Net-SIP
  
Actual results:

$ cpan2rpm Net-SIP

-- cpan2rpm - Ver: 2.028 --
Upgrade check
Fetch: HTTP

-- module: Net-SIP --
Using cached URL:
http://search.cpan.org//CPAN/authors/id/S/SU/SULLR/Net-SIP-0.32.tar.gz
Tarball found - not fetching
Metadata retrieval
Tarball extraction: [/home/jh/rpm/SOURCES/Net-SIP-0.32.tar.gz]
ExtUtils::MakeMaker unloadable
 Can't locate ExtUtils/MakeMaker.pm in @INC (@INC contains:
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at (eval 22) line 2.
BEGIN failed--compilation aborted at (eval 22) line 2.
-- Done --


Expected results:

$ cpan2rpm --no-sign Net-SIP

-- cpan2rpm - Ver: 2.028 --
Upgrade check
Fetch: HTTP

-- module: Net-SIP --
Using cached URL:
http://search.cpan.org//CPAN/authors/id/S/SU/SULLR/Net-SIP-0.32.tar.gz
Tarball found - not fetching
Metadata retrieval
Tarball extraction: [/home/jh/rpm/SOURCES/Net-SIP-0.32.tar.gz]
Generating spec file
SPEC: /home/jh/rpm/SPECS/Net-SIP.spec
Generating package
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.4697
+ umask 022
+ cd /home/jh/rpm/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/jh/rpm/BUILD
+ rm -rf Net-SIP-0.32
+ /bin/gzip -dc /home/jh/rpm/SOURCES/Net-SIP-0.32.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd Net-SIP-0.32
...
RPM: /home/jh/rpm/RPMS/noarch/perl-Net-SIP-0.32-1.noarch.rpm
SRPM: /home/jh/rpm/SRPMS/perl-Net-SIP-0.32-1.src.rpm
-- Done --


Additional info:

Don't know why I need --no-sign, it does not work without that. (Maybe a local
system issue.)
Comment 1 Bug Zapper 2008-05-14 10:15:53 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jakob Hirsch 2008-06-12 08:52:13 EDT
This is still true for cpan2rpm-2.028-2.fc8.1.noarch. Will there be no cpan2rpm
in F9? Or is this rpm not maintained any more?
Comment 3 Marcela Mašláňová 2008-06-12 09:57:11 EDT
At least there are always fedora-perl-devel members ;-)

As I see in F-9 there is different problem:
[root@caladan ~]# cpan2rpm Net-SIP

-- cpan2rpm - Ver: 2.028 --
Upgrade check
Fetch: HTTP

-- module: Net-SIP --
Using cached URL:
http://search.cpan.org//CPAN/authors/id/S/SU/SULLR/Net-SIP-0.45_3.tar.gz
Tarball found - not fetching
Metadata retrieval
Tarball extraction: [/usr/src/redhat/SOURCES/Net-SIP-0.45_3.tar.gz]
Generating spec file
SPEC: /usr/src/redhat/SPECS/Net-SIP.spec
Generating package
Signing package (pass phrase required)
error: You must set "%_gpg_name" in your macro file
Pass phrase check failed
RPM build failed [1] at /usr/bin/cpan2rpm line 1049.
-- Done --

Also the rebuild wasn't needed for F-9, because this package has the latest
release. Its inherited as is into F-9 and rawhide.
Comment 4 Jakob Hirsch 2008-06-12 10:18:45 EDT
(In reply to comment #3)
> At least there are always fedora-perl-devel members ;-)
> 
> As I see in F-9 there is different problem:
> [root@caladan ~]# cpan2rpm Net-SIP
> 
> -- cpan2rpm - Ver: 2.028 --
> Upgrade check
> Fetch: HTTP
> 
> -- module: Net-SIP --
> Using cached URL:
> http://search.cpan.org//CPAN/authors/id/S/SU/SULLR/Net-SIP-0.45_3.tar.gz
> Tarball found - not fetching
> Metadata retrieval
> Tarball extraction: [/usr/src/redhat/SOURCES/Net-SIP-0.45_3.tar.gz]
> Generating spec file
> SPEC: /usr/src/redhat/SPECS/Net-SIP.spec
> Generating package
> Signing package (pass phrase required)
> error: You must set "%_gpg_name" in your macro file

AFAIR, this also happened in F8. Just use --no-sign to skip the signing (or
create the key and specify it in your ~/.rpmmacros).

> Also the rebuild wasn't needed for F-9, because this package has the latest
> release. Its inherited as is into F-9 and rawhide.

Didn't see it in the F9 repos.
Comment 5 Marcela Mašláňová 2008-06-12 10:31:03 EDT
Are you looking into directory Everything? f.e. there it is
http://ftp.fi.muni.cz/pub/linux/fedora/linux/releases/9/Everything/i386/os/Packages/
Comment 6 Steven Pritchard 2008-06-13 13:31:06 EDT
May I suggest trying cpanspec instead of cpan2rpm?  It is definitely maintained,
and it's likely to work better anyway.
Comment 7 Marcela Mašláňová 2008-06-23 06:31:38 EDT
If we want fixing bugs in cpan2rpm maybe we should mark cpan2rpm as dead
package. I didn't check if it's needed by any other packages.
Comment 8 Vadym Chepkov 2008-07-04 11:08:50 EDT
The package seems to be broken:

$ env|grep LANG
LANG=en_US

$ cat /etc/fedora-release
Fedora release 9 (Sulphur)

$ cat ~/.rpmmacros
%_topdir      %(echo $HOME)/rpmbuild
%_smp_mflags  -j3
%__arch_install_post   /usr/lib/rpm/check-rpaths   /usr/lib/rpm/check-buildroot
%debug_package %{nil}

$ cpan2rpm  Convert::EBCDIC

-- cpan2rpm - Ver: 2.028 --
Upgrade check
Fetch: HTTP

-- module: Convert::EBCDIC --
Using cached URL: http://search.cpan.org//CPAN/authors/id/C/CX/CXL/Convert-
EBCDIC-0.06.tar.gz
Tarball found - not fetching
Metadata retrieval
Tarball extraction: [/home/vvc/rpmbuild/SOURCES/Convert-EBCDIC-0.06.tar.gz]
Can't locate object method "interpolate" via package "Pod::Text" 
at /usr/bin/cpan2rpm line 522.
cannot chdir to /tmp/OA68ob6vhi/Convert-EBCDIC-0.06 from /tmp/OA68ob6vhi: No 
such file or directory, aborting. at /usr/lib/perl5/5.10.0/File/Temp.pm line 893
END failed--call queue aborted at /usr/bin/cpan2rpm line 522.
-- Done --
Comment 9 Vadym Chepkov 2008-07-04 11:51:47 EDT
Created attachment 311046 [details]
cpan2rpm patch

It seems at some point Pod::Text functionality was moved to Pod::Parser. This
patch makes cpan2rpm to work again.
Comment 10 Bug Zapper 2008-11-26 02:45:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Jakob Hirsch 2008-11-26 06:21:33 EST
Still not fixed after 2 new releases...

Sadly, the upstream does not seem to maintain it any more (the bug report on CPAN about the Pod::Text issue is open since 18 months ago).

I guess it's not that hard to add the dependency to the SPEC file and patch the source, but it has to be done. Otherwise, this package should be removed, it's disfunctional since F8, there's no point in keeping around broken software.
Comment 12 Michael Schwendt 2009-04-25 08:34:20 EDT
Jakob, would you like to become the Fedora cpan2rpm package maintainer? Feel free to reply in private if there any questions.
Comment 13 Stepan Kasal 2009-05-12 08:54:45 EDT
The package has been retired today, see bug #498746.

Note You need to log in before you can comment on or make changes to this bug.